epp_ContactPanData (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0705.contact.epp_ContactPanData class

### org.openrtk.idl.epp0705.contact

# Class epp_ContactPanData

- `org.omg.CORBA.portable.ObjectImpl`
- - `org.openrtk.idl.epp0705.epp_PanData`
  - - `org.openrtk.idl.epp0705.contact.epp_ContactPanData`

Implemented Interfaces:
  epp_PollResData, epp_PollResDataOperations, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.Object

`public class epp_ContactPanData`
`extends epp_PanData`
`implements epp_PollResData`

This class is use exclusively to hold data associate with a Poll response for a pending action notification. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0705/contact/epp_ContactPanData.java,v 1.1 2003/03/20 22:42:27 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/20 22:42:27 $

  ## Field Summary
  `String` | `m_id` The client id of the contact for this pending action notification
  `static String` | `m_type` Constant variable defined by IDLs.

  ### Fields inherited from class org.openrtk.idl.epp0705.epp_PanData
  `m_date`, `m_result`, `m_trid`

  ## Constructor Summary
  `epp_ContactPanData()` Empty constructor
  `epp_ContactPanData(String _m_id, boolean _m_result, epp_TransID _m_trid, String _m_date)` The constructor with initializing variables.

  ## Method Summary
  `String` | `getId()` Accessor method for the client id of the contact object in the registry
  `String` | `getType()` Access method for the m_type constant.
  `void` | `setId(String value)` Accessor method for the client id of the contact object in the registry
  `String` | `toString()` Converts this class into a string.

  ### Methods inherited from class org.openrtk.idl.epp0705.epp_PanData
  `_ids`, `getDate`, `getResult`, `getTrid`, `setDate`, `setResult`, `setTrid`

## Field Details

### m_id

    public String m_id

> The client id of the contact for this pending action notification

### m_type

    public static final String m_type

> Constant variable defined by IDLs. Used when this classes is used to hold the poll response data pertaining to contact pending action notifications. The value of this constant links this class to a set of poll response data.

## Constructor Details

### epp_ContactPanData

    public epp_ContactPanData()

> Empty constructor

### epp_ContactPanData

    public epp_ContactPanData(String _m_id,
                              boolean _m_result,
                              epp_TransID _m_trid,
                              String _m_date)

> The constructor with initializing variables.
> Parameters:
>   `_m_id` - The name of the contact object in the registry
>   `_m_result` - The boolean result flag for the action: true == successful execution
>   `_m_trid` - The server and client trid pair associated with this pending action
>   `_m_date` - The date the pending action completed (or failed)

## Method Details

### getId

    public String getId()

> Accessor method for the client id of the contact object in the registry
> Returns:
>   The contact client id
> See Also:
>   `m_id`

### getType

    public String getType()

> Access method for the m_type constant.
> Specified by:
>   getType in interface epp_PollResDataOperations
> See Also:
>   `m_type`

### setId

    public void setId(String value)

> Accessor method for the client id of the contact object in the registry
> Parameters:
>   `value` - The contact client id
> See Also:
>   `m_id`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS